bio-0.5.2: A bioinformatics library

Safe Haskell | Safe-Infered

Bio.Sequence.SFF_name

Synopsis

- data ReadName = ReadName {
  - date :: (Int, Int, Int)
  - time :: (Int, Int, Int)
  - region :: Int
  - x_loc :: Int
  - y_loc :: Int
  }
- decodeReadName :: ByteString -> Maybe ReadName
- decodeLocation :: ByteString -> Maybe (Int, Int)
- decodeDate :: ByteString -> Maybe [Int]
- encodeReadName :: ReadName -> ByteString
- encodeLocation :: Int -> Int -> ByteString
- encodeRegion :: Int -> ByteString
- encodeDate :: (Int, Int, Int) -> (Int, Int, Int) -> ByteString
- divMods :: Int -> [Int] -> [Int]
- decode36 :: ByteString -> Maybe Int
- decCh :: Char -> Maybe Int
- encode36 :: Int -> ByteString
- b36 :: UArray Int Char

# Documentation

data ReadName

Read names encode various information, as per this struct.

Constructors

ReadName |
Fields date :: (Int, Int, Int) time :: (Int, Int, Int) region :: Int x_loc :: Int y_loc :: Int

Instances

Show ReadName |

decodeReadName :: ByteString -> Maybe ReadName

decodeLocation :: ByteString -> Maybe (Int, Int)

decodeDate :: ByteString -> Maybe [Int]

encodeReadName :: ReadName -> ByteString

encodeLocation :: Int -> Int -> ByteString

encodeRegion :: Int -> ByteString

encodeDate :: (Int, Int, Int) -> (Int, Int, Int) -> ByteString

divMods :: Int -> [Int] -> [Int]

decode36 :: ByteString -> Maybe Int

decCh :: Char -> Maybe Int

encode36 :: Int -> ByteString

b36 :: UArray Int Char